import React from 'react';
import type { IconTypes } from '@digigov/react-icons/icons';
import { SvgIconProps } from '@digigov/react-icons/SvgIcon';
export type IconProps<N extends keyof IconTypes> = SvgIconProps & IconTypes[N] & {
    /**
     * ref is optional.
     * ref prop declares the reference of the svg icon component.
     * It can be used to to access the DOM element and the React element.
     */
    ref?: React.Ref<SVGSVGElement>;
    /**
     * icon is optional, but strongly recommended.
     * Default value is 'chevron'.
     * Use this prop to display the icon you want.
     */
    icon?: N;
};
type IconComponent = <C extends keyof IconTypes>(props: IconProps<C>) => React.ReactNode | null;
export type IconNames = keyof IconTypes;
/**
 * Icon is used whenever we need a GOV.GR icon.
 * Choose the icon from the list in icon prop.
 */
export declare const Icon: IconComponent;
export default Icon;
