import React from "react";
import clsx from "clsx";
import * as icons from "@digigov/react-icons/icons";
import SvgIcon from "@digigov/react-icons/SvgIcon";
const Icon = React.forwardRef(function Icon2({ icon = "chevron", className, ...props }, ref) {
  const IconComponent = icons[icon];
  const iconProps = IconComponent?.props.reduce((compProps, propName) => {
    const value = props[propName];
    delete props[propName];
    return {
      ...compProps,
      [propName]: value
    };
  }, {});
  return /* @__PURE__ */ React.createElement(
    SvgIcon,
    {
      ref,
      ...props,
      className: clsx(className, {
        [`ds-svg-icon--${icon}`]: true
      })
    },
    /* @__PURE__ */ React.createElement(IconComponent, { ...iconProps })
  );
});
var Icon_default = Icon;
export {
  Icon,
  Icon_default as default
};
//# sourceMappingURL=index.js.map
