import React from "react";
import clsx from "clsx";
const IconBase = React.forwardRef(function Base({
  as,
  margin,
  marginTop,
  marginBottom,
  marginLeft,
  marginRight,
  m,
  mt,
  mb,
  ml,
  mr,
  mx,
  my,
  padding,
  paddingTop,
  paddingBottom,
  paddingLeft,
  paddingRight,
  p,
  pt,
  pb,
  pr,
  pl,
  px,
  py,
  printHidden,
  printVisible,
  hidden,
  xsUpHidden,
  smUpHidden,
  mdUpHidden,
  lgUpHidden,
  xlUpHidden,
  xsHidden,
  smHidden,
  mdHidden,
  lgHidden,
  xlHidden,
  children,
  className,
  ...props
}, ref) {
  const Component = as || "span";
  return /* @__PURE__ */ React.createElement(
    Component,
    {
      as,
      className: clsx(className, {
        [`ds-m-${margin}`]: margin !== void 0 ? true : void 0,
        [`ds-mt-${marginTop}`]: marginTop !== void 0 ? true : void 0,
        [`ds-mb-${marginBottom}`]: marginBottom !== void 0 ? true : void 0,
        [`ds-mr-${marginRight}`]: marginRight !== void 0 ? true : void 0,
        [`ds-ml-${marginLeft}`]: marginLeft !== void 0 ? true : void 0,
        [`ds-m-${m}`]: m !== void 0 ? true : void 0,
        [`ds-mt-${mt}`]: mt !== void 0 ? true : void 0,
        [`ds-mb-${mb}`]: mb !== void 0 ? true : void 0,
        [`ds-mr-${mr}`]: mr !== void 0 ? true : void 0,
        [`ds-ml-${ml}`]: ml !== void 0 ? true : void 0,
        [`ds-mx-${mx}`]: mx !== void 0 ? true : void 0,
        [`ds-my-${my}`]: my !== void 0 ? true : void 0,
        [`ds-p-${padding}`]: padding !== void 0 ? true : void 0,
        [`ds-pt-${paddingTop}`]: paddingTop !== void 0 ? true : void 0,
        [`ds-pb-${paddingBottom}`]: paddingBottom !== void 0 ? true : void 0,
        [`ds-pr-${paddingRight}`]: paddingRight !== void 0 ? true : void 0,
        [`ds-pl-${paddingLeft}`]: paddingLeft !== void 0 ? true : void 0,
        [`ds-p-${p}`]: p !== void 0 ? true : void 0,
        [`ds-pt-${pt}`]: pt !== void 0 ? true : void 0,
        [`ds-pb-${pb}`]: pb !== void 0 ? true : void 0,
        [`ds-pr-${pr}`]: pr !== void 0 ? true : void 0,
        [`ds-pl-${pl}`]: pl !== void 0 ? true : void 0,
        [`ds-px-${px}`]: px !== void 0 ? true : void 0,
        [`ds-py-${py}`]: py !== void 0 ? true : void 0,
        "ds-print-hidden": !!printHidden,
        "ds-print-visible-block": printVisible === "block",
        "ds-print-visible-inline": printVisible === "inline",
        "ds-hidden": !!hidden,
        "ds-hidden-xs-up": !!xsUpHidden,
        "ds-hidden-sm-up": !!smUpHidden,
        "ds-hidden-md-up": !!mdUpHidden,
        "ds-hidden-lg-up": !!lgUpHidden,
        "ds-hidden-xl-up": !!xlUpHidden,
        "ds-hidden-xs": !!xsHidden,
        "ds-hidden-sm": !!smHidden,
        "ds-hidden-md": !!mdHidden,
        "ds-hidden-lg": !!lgHidden,
        "ds-hidden-xl": !!xlHidden
      }),
      ref,
      ...props
    },
    children
  );
});
var IconBase_default = IconBase;
export {
  IconBase,
  IconBase_default as default
};
//# sourceMappingURL=index.js.map
