import React from 'react';
import IconBase from '@digigov/react-icons/IconBase';

export interface ArrowType {
  /**
   * @value 'left'
   * @value 'right'
   * @value 'up'
   * @value 'down'
   * @default 'up'
   */
  direction?: 'left' | 'right' | 'up' | 'down';
}

export const arrow: React.FC<ArrowType> = ({ direction = 'up' }) => {
  return (
    <>
      {direction === 'left' && (
        <IconBase
          as="polygon"
          points="14.4 19.7 8.48 13.7 21.93 13.7 22 10.37 8.48 10.32 14.4 4.4 12 2 2 12 12 22 14.4 19.7"
        />
      )}
      {direction === 'right' && (
        <IconBase
          as="polygon"
          points="9.6 4.3 15.52 10.3 2.07 10.3 2 13.63 15.52 13.68 9.6 19.6 12 22 22 12 12 2 9.6 4.3"
        />
      )}
      {direction === 'up' && (
        <IconBase
          as="polygon"
          points="22 12 12 2 2 12 4.3 14.4 10.3 8.48 10.3 21.93 13.63 22 13.68 8.48 19.6 14.4 22 12"
        />
      )}
      {direction === 'down' && (
        <IconBase
          as="polygon"
          points="19.7 9.6 13.7 15.52 13.7 2.07 10.37 2 10.32 15.52 4.4 9.6 2 12 12 22 22 12 19.7 9.6"
        />
      )}
    </>
  );
};
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
arrow.props = ['direction'];

export default arrow;
