import React from 'react';
import clsx from 'clsx';
import IconBase from '@digigov/react-icons/IconBase';

export interface BurgerType {
  active?: boolean;
}

export const burger: React.FC<BurgerType> = ({ active = false }) => {
  return (
    <IconBase
      as="g"
      className={clsx({
        [`ds-svg-icon--burger--active`]: active,
      })}
    >
      <IconBase
        as="rect"
        id="ds-svg-icon--burger__line-1"
        width="20"
        height="3.3"
      />
      <IconBase
        as="rect"
        id="ds-svg-icon--burger__line-2"
        width="20"
        height="3.3"
      />
      <IconBase
        as="rect"
        id="ds-svg-icon--burger__line-3"
        width="20"
        height="3.3"
      />
    </IconBase>
  );
};
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
burger.props = ['active'];

export default burger;
