import React from 'react';
import IconBase from '@digigov/react-icons/IconBase';

export interface CaretType {
  /**
   * @value 'left'
   * @value 'right'
   * @value 'up'
   * @value 'down'
   * @default 'left'
   */
  direction?: 'left' | 'right' | 'up' | 'down';
}

export const caret: React.FC<CaretType> = ({ direction = 'left' }) => {
  return (
    <>
      {direction === 'left' && <IconBase as="path" d="M18,22V2L6,12L18,22z" />}
      {direction === 'right' && <IconBase as="path" d="M6,2v20l12-10L6,2z" />}
      {direction === 'up' && <IconBase as="path" d="M2,18h20L12,6L2,18z" />}
      {direction === 'down' && <IconBase as="path" d="M22,6H2l10,12L22,6z" />}
    </>
  );
};
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
caret.props = ['direction'];

export default caret;
