import React from 'react';
import IconBase from '@digigov/react-icons/IconBase';

export interface ChevronType {
  /**
   * direction sets the direction of the chevron icon.
   * @value 'left'
   * @value 'right'
   * @value 'up'
   * @value 'down'
   * @default 'right'
   */
  direction?: 'left' | 'right' | 'up' | 'down';
}

export const chevron: React.FC<ChevronType> = ({ direction = 'right' }) => {
  return (
    <>
      {direction === 'left' && (
        <IconBase
          as="path"
          d="M14.8,22l2.4-2.3L9.6,12l7.6-7.6L14.8,2l-10,10L14.8,22z"
        />
      )}
      {direction === 'right' && (
        <IconBase
          as="path"
          d="M8.5,2L6.1,4.3l7.6,7.7l-7.6,7.6L8.5,22l10-10L8.5,2z"
        />
      )}
      {direction === 'up' && (
        <IconBase
          as="path"
          d="M2,15.8l2.3,2.4l7.7-7.6l7.6,7.6l2.4-2.4l-10-10L2,15.8z"
        />
      )}
      {direction === 'down' && (
        <IconBase
          as="path"
          d="M22,8.2l-2.3-2.4L12,13.4L4.4,5.8L2,8.2l10,10L22,8.2z"
        />
      )}
    </>
  );
};
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
chevron.props = ['direction'];

export default chevron;
